Part Spiral: Difference between revisions

From FreeCAD Documentation
mNo edit summary
Line 57: Line 57:
=== Data ===
=== Data ===


{{TitleProperty|Box}}
{{TitleProperty|Spiral}}


*{{PropertyData|Growth|Length}}: The growth of the spiral. This is the distance between the curves of the spiral.
*{{PropertyData|Growth|Length}}: The growth of the spiral. This is the distance between the curves of the spiral.

Revision as of 18:26, 22 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Spiral

Menu location
Part → Create primitives → Spiral
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives

Description

The Part Spiral command creates a parametric spiral shape.

FreeCAD creates a spiral, with default values for growth and radius. The number of rotations can be set too.

By default, the spiral is positioned with its start point on the x-axis with a distance of the radius from the origin (0,0,0). Its rotation is counterclockwise.

Screenshot of Part Spiral

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Spiral option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Example

Part Spiral scripting example

A Part spiral object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Spiral object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Spiral

  • DataGrowth (Length): The growth of the spiral. This is the distance between the curves of the spiral.
  • DataRadius (Length): The radius of the spiral. This is the distance between the origin and the start point of the curve.
  • DataRotations (Float): The number of full 360° rotations of the spiral. The rotation direction is counterclockwise.
  • DataSegment Length (Float): The segment length of the spiral.

Scripting

A Part Spiral is created with the addObject() method of the document.

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where mySpiral is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

spiral.Label = "new mySpiralName"

You can access and modify attributes of the spiral object. For example, you may wish to modify the growth, radius and rotations parameters.

spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4

You can change its placement and orientation with:

spiral.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))